
var serial = 0;
var fingersArray;
var wid = $(window).width();
var heig = $(window).height();

function dowmFinger() {
    try {
        element = document.getElementById('fingerP').getElementsByTagName('img');
    } catch (E) {
    }
    var index;
    for (index = 0; index < element.length; index++) {
        if ($(element[index]).attr("tLive") == 0) {
            $(element[index]).fadeOut(1000,
                    function() {
                        $(element[index]).remove();
                    }
            );
        } else {
            var num = $(element[index]).attr("tLive");
            $(element[index]).attr("tLive", num - 1);
        }
    }
}

function loadFinger() {
    interval = setInterval(function() {
        var elem = document.createElement("img");
        $(elem).addClass("p" + serial);
        if (serial > 10) {
            if (randomNumber() < 0.27) {
                $(elem).attr("src", "img/fingerprint2.png");
            } else
                $(elem).attr("src", "img/fingerprint.png");
        } else {
            $(elem).attr("src", "img/fingerprint.png");
        }
        $(elem).attr("alt", "*");
        $(elem).attr("tLive", randomTlive());
        $(elem).css("height", "56");
        $(elem).css("width", "36");
        $(elem).css("top", randomHeight() + "px");
        $(elem).css("left", randomWidth() + "px");
        $(elem).css("opacity", randomOpacity());
        $(elem).css("display", "none");
        $(elem).css("transform", 'rotate(' + randomRotate() + 'deg)');
        try {
            document.getElementById("fingerP").appendChild(elem);
        } catch (E) {
        }
        $(".p" + serial).fadeIn(1000);
        serial++;
        dowmFinger();
    }
    , 2000);
}

function randomRotate() {
    return Math.floor((Math.random() * 360));
}
function randomNumber() {
    return Math.random();
}
function randomOpacity() {
    return Math.random() * 0.4 + 0.2;
}

function randomTlive() {
    return Math.floor((Math.random() * 10) + 1);
}
function randomWidth() {
    return Math.floor((Math.random() * wid) + 1);
}
function randomHeight() {
    return Math.floor((Math.random() * heig) + 1);
}

